//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tSystemLNGroupEnum的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * <p>
 * <pre>
 * &lt;simpleType name="tSystemLNGroupEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}Name"&gt;
 *     &lt;length value="4"/&gt;
 *     &lt;pattern value="L[A-Z]*"/&gt;
 *     &lt;pattern value="LLN0"/&gt;
 *     &lt;enumeration value="LLN0"/&gt;
 *     &lt;enumeration value="LPHD"/&gt;
 *     &lt;enumeration value="LCCH"/&gt;
 *     &lt;enumeration value="LGOS"/&gt;
 *     &lt;enumeration value="LSVS"/&gt;
 *     &lt;enumeration value="LTIM"/&gt;
 *     &lt;enumeration value="LTMS"/&gt;
 *     &lt;enumeration value="LTRK"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "tSystemLNGroupEnum")
@XmlEnum
public enum TSystemLNGroupEnum {

    @XmlEnumValue("LLN0")
    LLN_0("LLN0"),
    LPHD("LPHD"),
    LCCH("LCCH"),
    LGOS("LGOS"),
    LSVS("LSVS"),
    LTIM("LTIM"),
    LTMS("LTMS"),
    LTRK("LTRK");
    private final String value;

    TSystemLNGroupEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TSystemLNGroupEnum fromValue(String v) {
        for (TSystemLNGroupEnum c: TSystemLNGroupEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
